unit fmObjAFUnit;

interface

uses
  SysUtils, Types, Classes, QGraphics, QControls, QForms, QDialogs,
  QStdCtrls, QButtons, QComCtrls,CircleEdUnit,Jab;

type
  TfmObjAF = class(TForm)
    Label1: TLabel;
    cbLocation: TComboBox;
    Label2: TLabel;
    seValue: TSpinEdit;
    btOK: TBitBtn;
    btCancel: TBitBtn;
    procedure FormShow(Sender: TObject);
    procedure btOKClick(Sender: TObject);
  private
    { Private declarations }
  public
    AF : TObjAffFields;
  end;

var
  fmObjAF: TfmObjAF;

implementation

{$R *.xfm}

procedure TfmObjAF.FormShow(Sender: TObject);
begin
     cbLocation.Items.Clear;
     cbLocation.Items.AddStrings(fmCircleEd.LoadFlags('Object_AffectFlag'));
     cbLocation.ItemIndex := AF.Location;
     seValue.Value        := AF.Value;
end;

procedure TfmObjAF.btOKClick(Sender: TObject);
begin
     AF.Location := cbLocation.ItemIndex;
     AF.Value    := seValue.Value;
end;

end.
