unit fmMobESpecUnit;

interface

uses
  SysUtils, Types, Classes, QGraphics, QControls, QForms, QDialogs,
  QStdCtrls, QButtons, QComCtrls,jab,CircleEdUnit;

type
  TfmMobESpecs = class(TForm)
    Label1: TLabel;
    cbESpec: TComboBox;
    Label2: TLabel;
    seValue: TSpinEdit;
    btOK: TBitBtn;
    btCancel: TBitBtn;
    procedure btOKClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    ESpec : TESpec;
  end;

var
  fmMobESpecs: TfmMobESpecs;

implementation

{$R *.xfm}

procedure TfmMobESpecs.btOKClick(Sender: TObject);
begin
     ESpec.Spec   := cbESpec.Text;
     ESpec.Value  := seValue.Value;
end;

procedure TfmMobESpecs.FormShow(Sender: TObject);
var
   ln,
   Cind,
   i     : integer;
begin
     with fmCircleEd do
     Begin
          ln := Length(Constants);
          Cind := -1;
          For i := 0 to ln-1 do
          Begin
               if (Constants[i].ConName = 'Mobile_ESpecs') and (UpperCase(Constants[i].ConType) = 'SPEC') then
               Begin
                    CInd := i;
                    break;
               End;
          End;
          if Cind = -1 then exit;
          
          cbESpec.Items.Clear;
          for i := 0 to Length(Constants[CInd].Values)-1 do
          Begin
               cbESpec.Items.Add(Constants[CInd].Values[i].Text);
          End;
          cbESpec.ItemIndex := 0;
     End;

     for i := 0 to cbESpec.Items.Count-1 do
     Begin
          if UpperCase(cbESpec.Items[i]) =  UpperCase(ESpec.Spec) then
          Begin
               cbESpec.ItemIndex := i;
               break;
          End;
     End;
     //cbESpec.Text  := ESpec.Spec;
     seValue.Value := ESpec.Value;
end;

end.
