unit fmShpBuyTypesUnit;

interface

uses
  SysUtils, Types, Classes, QGraphics, QControls, QForms, QDialogs,
  QStdCtrls, QButtons,jab,CircleEdUnit;

type
  TfmShpBuyTypes = class(TForm)
    cbBuyTypes: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    edNameList: TEdit;
    btOK: TBitBtn;
    btCancel: TBitBtn;
    procedure FormShow(Sender: TObject);
    procedure btOKClick(Sender: TObject);
  private
    { Private declarations }
  public
    BuyTypes : TBuyList;
  end;

var
  fmShpBuyTypes: TfmShpBuyTypes;

implementation

{$R *.xfm}

procedure TfmShpBuyTypes.FormShow(Sender: TObject);
var
   p1,p2 : String;
   i     : integer;
begin
     cbBuyTypes.Items.Clear;
     cbBuyTypes.Items.AddStrings(fmCircleEd.LoadFlags('Object_TypeFlag'));
     edNameList.Text := BuyTypes.BuyList;
     for i := 0 to cbBuyTypes.Items.Count-1 do
     Begin
          GetParams(cbBuyTypes.Items[i],[@p1,@p2]);
          if BuyTypes.BuyType = p2 then
          Begin
               cbBuyTypes.ItemIndex := i;
               break;
          End;
     End;
end;

procedure TfmShpBuyTypes.btOKClick(Sender: TObject);
var
   p1,p2 : String;
begin
     BuyTypes.BuyList := edNameList.Text;
     GetParams(cbBuyTypes.Text,[@p1,@p2]);
     BuyTypes.BuyType := p2;
end;

end.
