unit fmWldExtraDescUnit;

interface

uses
  SysUtils, Types, Classes, QGraphics, QControls, QForms, QDialogs,
  QStdCtrls, QButtons,CircleEdUnit;

type
  TfmWldExtraDesc = class(TForm)
    Label1: TLabel;
    edKeywords: TEdit;
    Label2: TLabel;
    meDescription: TMemo;
    btOK: TBitBtn;
    btCancel: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure btOKClick(Sender: TObject);
  private
    { Private declarations }
  public
    ExtDesc : TWldExtDesc
  end;

var
  fmWldExtraDesc: TfmWldExtraDesc;

implementation

{$R *.xfm}

procedure TfmWldExtraDesc.FormCreate(Sender: TObject);
begin
     ExtDesc.Desc := TStringList.Create;
end;

procedure TfmWldExtraDesc.FormShow(Sender: TObject);
begin
     edKeywords.Text := ExtDesc.Keyword;
     meDescription.Lines.Clear;
     meDescription.Lines.AddStrings(ExtDesc.Desc);
end;

procedure TfmWldExtraDesc.btOKClick(Sender: TObject);
begin
     ExtDesc.Desc.Clear;
     ExtDesc.Desc.AddStrings(meDescription.Lines);
     ExtDesc.Keyword := edKeywords.Text;
end;



end.
